सामग्री पर जाएँ

Marigold V2 Depth

इंटीग्रेट करें

मॉडल id marigold-v2
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/marigold-v2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.03 30 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Open model इमेज एडिटिंग #depth#utility

इमेज विश्लेषण मॉडल जो एक इमेज से डेप्थ मैप, see-through डेप्थ मैप, नॉर्मल या अल्बीडो मैप आउटपुट करता है

Open model · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

इनपुट इमेज का URL।

image_size

Inference dimensions; इन्हें न देने पर इनपुट इमेज का आकार उपयोग होता है, जिसमें प्रत्येक dimension को 16 के निकटतम गुणज तक राउंड किया जाता है। `"square_hd"` या `"landscape_4_3"` जैसे preset निर्दिष्ट करें, या `{width, height}` object दें। Width और height दोनों 16 से विभाज्य होने चाहिए, कोई भी 2048 pixels से अधिक नहीं हो सकता और उनका ratio 1:16 से 16:1 के बीच होना चाहिए।

उन्नत prediction_type · seed · enable_safety_checker
prediction_type डिफ़ॉल्ट depth

उत्पन्न किए जाने वाले prediction map का प्रकार।

वही इमेज दोबारा उपयोग करने पर आउटपुट को पुनरुत्पाद्य बनाने वाला random seed। इसका प्रभाव केवल VAE-encoder latent sampling तक सीमित है, क्योंकि forward pass स्वयं एक नियतात्मक step है।

POST /run/marigold-v2?wait=20 कोटेशन → $0.03
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/marigold-v2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Marigold V2 Depth के बारे में

एकल इमेज से मैप का अनुमान लगाता है। `prediction_type` डेप्थ मैप, see-through-डेप्थ मैप, normals या albedo चुनता है। परिणाम संख्यात्मक टेंसर के बजाय PNG विज़ुअलाइज़ेशन होता है। `image_size` प्रीसेट या 16 के गुणज वाली अधिकतम 2048 चौड़ाई/ऊंचाई वाली ऑब्जेक्ट हो सकता है, और `seed` परिणामों को दोहराने योग्य बनाता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
prediction_typeवैकल्पिक
प्रकारenum
डिफ़ॉल्टdepth
depthsee-through-depthnormalsalbedo
उत्पन्न किए जाने वाले prediction map का प्रकार।
image_urlआवश्यक image
प्रकारurl · image
इनपुट इमेज का URL।
image_sizeवैकल्पिक
प्रकारobject
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
Inference dimensions; इन्हें न देने पर इनपुट इमेज का आकार उपयोग होता है, जिसमें प्रत्येक dimension को 16 के निकटतम गुणज तक राउंड किया जाता है। `"square_hd"` या `"landscape_4_3"` जैसे preset निर्दिष्ट करें, या `{width, height}` object दें। Width और height दोनों 16 से विभाज्य होने चाहिए, कोई भी 2048 pixels से अधिक नहीं हो सकता और उनका ratio 1:16 से 16:1 के बीच होना चाहिए।
seedवैकल्पिक
प्रकारinteger | null
वही इमेज दोबारा उपयोग करने पर आउटपुट को पुनरुत्पाद्य बनाने वाला random seed। इसका प्रभाव केवल VAE-encoder latent sampling तक सीमित है, क्योंकि forward pass स्वयं एक नियतात्मक step है।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "marigold-v2",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 30,
    "usd": "0.03",
    "charged": 30,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
image
object {url, content_type, file_name, file_size, width, height}देखने के लिए PNG के रूप में रेंडर किया गया prediction; response इस इमेज के माध्यम से lossless numerical tensor उपलब्ध नहीं कराता।
seed
integerVAE encoder में latents का sampling करते समय लागू किया गया seed।

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/marigold-v2.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt